smbios_boardinfo_t Struct Reference
Public interface » ID macros » SMBIOS structures

motherboard related information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | manuf
| manufacturer
char * | product
| product name
char * | version
| version
char * | serial
| serial number
char * | asset
| asset tag
hd_id_t | board_type
| board type
hd_bitmap_t | feature
| board features
char * | location
| location in chassis
int | chassis
| handle of chassis
int | objects_len
| number of contained objects
int * | objects
| array of object handles

## Detailed Description

motherboard related information

The documentation for this struct was generated from the following file:

- hd.h